org.slf4j.impl

## Class StaticMarkerBinder

- java.lang.Object
- - org.slf4j.impl.StaticMarkerBinder

All Implemented Interfaces:
  org.slf4j.spi.MarkerFactoryBinder

    public class StaticMarkerBinder
    extends java.lang.Object
    implements org.slf4j.spi.MarkerFactoryBinder

The binding of `MarkerFactory` class with an actual instance of `IMarkerFactory` is performed using information returned by this class.

Author:
  Ceki Gülcü

### Field Summary

Fields
`static StaticMarkerBinder` `SINGLETON` The unique instance of this class.

### Method Summary

Methods
`org.slf4j.IMarkerFactory` `getMarkerFactory()` Currently this method always returns an instance of `BasicMarkerFactory`.
`java.lang.String` `getMarkerFactoryClassStr()` Currently, this method returns the class name of `BasicMarkerFactory`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SINGLETON

    public static final StaticMarkerBinder SINGLETON

The unique instance of this class.

### Method Detail

#### getMarkerFactory

    public org.slf4j.IMarkerFactory getMarkerFactory()

Currently this method always returns an instance of `BasicMarkerFactory`.

Specified by:
  `getMarkerFactory` in interface `org.slf4j.spi.MarkerFactoryBinder`

#### getMarkerFactoryClassStr

    public java.lang.String getMarkerFactoryClassStr()

Currently, this method returns the class name of `BasicMarkerFactory`.

Specified by:
  `getMarkerFactoryClassStr` in interface `org.slf4j.spi.MarkerFactoryBinder`